:root {
    --background-color: #000000;
    --text-color: #ffffff;
    --border-radius: 30px;
}

*,
*::before,
*::after { box-sizing: border-box; }

html, body { margin: 0; overflow-x: hidden; }

.body-iryo {
    background-color: var(--background-color);
    color: var(--text-color);
    font-family: "REM", sans-serif;
    margin: 0;
}
/* ---------- HERO -------------------------------------- */
.hero-iryo {
  position: relative;
  height: 100vh;
  display: grid;
  place-items: center;
  text-align: center;
  z-index: 0;
}

.hero-video {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 0;
  display: block; /* 🔧 esto es importante en iOS */
  pointer-events: none; /* evita que bloquee interacción */
  background-color: #000;
}
.hero-iryo video {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 0;
  display: block; /* 🔧 esto es importante en iOS */
  pointer-events: none; /* evita que bloquee interacción */
  background-color: #000;
}

.hero-overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, .35);
  z-index: -1;
}

.hero-content {
  max-width: 60ch;
  padding-inline: clamp(1rem, 4vw, 4rem);
  position: relative; /* asegura que se posicione correctamente */
  z-index: 1; /* se pone por encima del overlay y el vídeo */
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
}

.collab {
  font-size: clamp(.7rem, 1vw + .5rem, .8rem);
  letter-spacing: .05em;
  text-transform: uppercase;
  opacity: .85;
  margin-bottom: .5rem;
}

.hero-title {
    font-size: clamp(10rem, 10vw, 11rem); /* tamaño fluido y grande */
    font-style: normal;
    line-height: 1.1;
    text-align: center;
    width: 100vw; /* ancho completo */
    margin: 0 auto;
    color: white; /* color de la primera línea */
    line-height: 163%; /* 309.7px */
    letter-spacing: -4px;
    text-transform: uppercase;
    font-family: "Bebas Neue", sans-serif;
    opacity: 0;
    transform: translateY(20px);
}

.hero-title-outline {
    display: block;
  color: transparent;
  -webkit-text-stroke: 1px white;
  font-weight: 400;
    margin-top: -110px;
}

.subtitle {
    text-align: center;
    max-width: 800px;
  font-size: clamp(1rem, 2vw + .5rem, 1.25rem);
  margin: 1rem auto;
}

.scroll-icon {
  width: .6rem;
  animation: bounce 1.5s ease-in-out infinite;
}

@keyframes bounce {
  0%,100% { transform: translateY(0); }
  50%     { transform: translateY(8px); }
}

/* motion‑safe */
@media (prefers-reduced-motion: reduce) {
  .hero-video  { display:none; }
  .scroll-icon { animation:none; }
}

/* pantallas muy bajitas */
@media (max-height: 600px) {
  .hero-iryo { 
    height: 60vh; 
    }
}
@media (max-width: 980px) {
  .hero-title {
    line-height: 73%;
    margin: 10px auto;
  }
  .hero-title-outline {
        margin-top: 19px;
    }
 }

@media (max-width: 600px) {
    .hero-content {
        padding-inline: 0;
    }
    .hero-title {
        font-size: clamp(2.5rem, 6vw + 1rem, 4rem);
        letter-spacing: 2px;
        line-height: 153%;
    }
    .hero-title-outline {
        margin-top: -25px;
        -webkit-text-stroke: 0.5px white;
    }
}

/* ---------- FRASES----------- */

.scroll-frases {
  height: auto;
  overflow: hidden; /* Oculta la barra de scroll */
}

.frase-slide {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 2rem;
  position: relative;
}

.frases p {
  font-size: clamp(1.1rem, 2vw + 1rem, 1.2rem);
  text-align: center;
  max-width: 800px;
  margin: 0 auto;
  line-height: 1.4;
  opacity: 0;
  transform: translateY(50px);
  font-weight: 300;
line-height: 168.8%;
}


/********  CONTENEDOR GENERAL  ***********************************/
.capitulos {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  padding: 2rem 1rem;
}

.chapter {
  position: relative;
  min-height: 98vh;
  background-size: cover;
  background-position: center center;
  border-radius: 5px;
  overflow: hidden;
  background-repeat: no-repeat;
  display: flex;
  align-items: center;
    opacity: 0;
  transform: translateY(50px);
  transition: opacity 0.5s ease, transform 0.5s ease;
}

.chapter-overlay {
  position: relative;
  z-index: 1;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.chapter-content {
  color: white;
  max-width: 600px;
  padding: 2rem;
  text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.164);
   opacity: 0;
  transform: translateY(50px);
  filter: blur(6px);
  transition: all 0.8s ease-out;
}

.chapter-content h2 {
   font-size: clamp(1.6rem, 2.5vw, 2.25rem);
  font-family: "Bebas Neue", sans-serif;
  font-style: normal;
  font-weight: 400;
  line-height: 108.8%; 
  margin-bottom: 1rem;
}

.chapter-content h2 span {
  font-weight: 400;
  display: block;
}

.chapter-content p {
  font-size: clamp(0.95rem, 1.8vw, 1rem);
  margin-bottom: 1.5rem;
  font-style: normal;
  font-weight: 400;
  line-height: 168.8%; 
}

.chapter-btn {
  display: inline-block;
  padding: 0.75rem 1.5rem;
  background-color: transparent;
  color: rgb(255, 255, 255);
  border: 0.5px solid white;
  text-decoration: none;
  border-radius: 3px;
  transition: background-color 0.3s ease, color 0.3s ease;
}

.chapter-btn:hover,
.chapter-btn:focus {
  background-color: rgb(255, 255, 255);
  color: rgba(0, 0, 0, 0.836);
  outline: none;
}

.bloqueado {
  color: #FFF;
  font-family: "Bebas Neue", sans-serif;
  font-size: clamp(1.3rem, 2.2vw, 1.625rem);
  font-style: normal;
  font-weight: 400;
  line-height: 168.8%; /* 43.888px */
  letter-spacing: 8px;
  text-transform: uppercase;
  }

  .chapter.cap1 {
  background-image: url('https://brandedcontentgrupogodo.github.io/ext/iryo-brl/2025/hub/assets/img/cap1.png');
}

  .chapter.cap2 {
  background-image: url('https://brandedcontentgrupogodo.github.io/ext/iryo-brl/2025/hub/assets/img/cap2.png');
}

.chapter.cap3 {
  background-image: url('https://brandedcontentgrupogodo.github.io/ext/iryo-brl/2025/hub/assets/img/cap3.jpg');
}

@media (max-width: 768px) {
  .chapter-content {
    padding: 1.5rem;
  }

  .chapter-content h2 {
    font-size: clamp(1.8rem, 5vw, 2.5rem);
  }
   .chapter.cap1 {
    background-image: url('https://brandedcontentgrupogodo.github.io/ext/iryo-brl/2025/hub/assets/img/cap1-mobile.jpg');
  }
     .chapter.cap2 {
    background-image: url('https://brandedcontentgrupogodo.github.io/ext/iryo-brl/2025/hub/assets/img/cap2-mobile.jpg');
  }
  .chapter.cap3 {
    background-image: url('https://brandedcontentgrupogodo.github.io/ext/iryo-brl/2025/hub/assets/img/cap3-mobile.jpg');
  }
}

.destacdo-final {
  margin: auto;
  text-align: center;
  margin-bottom: 100px;
}

.destacdo-final p {
  color: #FFF;
 font-family: "Bebas Neue", sans-serif;
text-align: center;
font-size: 36px;
font-style: normal;
font-weight: 400;
line-height: 118.8%; /* 42.768px */
}

.destacdo-final img {
  max-width: 138px;
  width: 100%;
}


/* ---------- CRÉDITOS ---------------------------------- */
.authorship-f {
  color: #888;
  font-size: .8em;
  text-align: center;
  padding-bottom: 30px;
}

.creditos {
  font-size: 1.6em;
  font-weight: 400;
  margin: 5px 0;
}

.container-fluid-f {
  width: calc(100% - 40px);
  max-width: 980px;
  margin-inline: auto;
  padding-inline: 20px;
}

  /* estilos para que en LV se muestre el contenido sin margenes */
.wallpaper-inverted-ad{
    display: none!important;
  }
  
  .visual-article-free .col-12 {
    padding-right: 0 !important;
    padding-left: 0 !important;
    margin-top: 0 !important;
  }
  .content-free-html {
    margin:0 !important;
  }
  .container-fluid {
    padding-right: 0 !important;
    padding-left: 0 !important;
  }
  .visual__story--free .content-free-html {
    margin: 0px !important;
  }
  .row>* {
    padding-right: 0!important;
    padding-left: 0!important;
    margin-top: 0!important;
  }
  .article-default a:hover {
    text-decoration: none;
    box-shadow: none;
  }
